The following commit has been merged in the master branch:
commit d76dc59a04b445b86edc50cff2f268d01b9f47cb
Author: Lucas Nussbaum <lu...@debian.org>
Date:   Mon Jul 1 17:58:05 2013 +0200

    Add patch to add a --download-only option to marionnet_from_scratch.

diff --git 
a/debian/patches/0003-Hack-marionnet-from-scratch-to-download-only.patch 
b/debian/patches/0003-Hack-marionnet-from-scratch-to-download-only.patch
new file mode 100644
index 0000000..08f7fad
--- /dev/null
+++ b/debian/patches/0003-Hack-marionnet-from-scratch-to-download-only.patch
@@ -0,0 +1,198 @@
+From: Lucas Nussbaum <lu...@debian.org>
+Date: Mon, 1 Jul 2013 17:51:43 +0100
+Description: add a --download-only option to marionnet_from_scratch
+ add a --download-only option to marionnet_from_scratch, so that
+ it can be used after Debian packages installation to download the kernels
+ and filesystems.
+Forwarded: https://bugs.launchpad.net/marionnet/+bug/1124072
+
+--- marionnet-0.90.6+bzr421.orig/useful-scripts/marionnet_from_scratch
++++ marionnet-0.90.6+bzr421/useful-scripts/marionnet_from_scratch
+@@ -74,7 +74,7 @@ COMMAND_LINE="$(realpath $COMMAND_LINE)
+ # =============================================================
+ 
+ # Getopt's format used to parse the command line:
+-OPTSTRING="hp:m:b:o:gG:t:kl:d:v:NVDKPFAc:"
++OPTSTRING="hp:m:b:o:gG:t:kl:d:v:NVDKPFAOc:"
+ 
+ function parse_cmdline {
+ local i j flag
+@@ -131,6 +131,9 @@ for i in "$@"; do
+     --no-filesystems|--ignore-filesystems)
+      ARGS+=("-F");
+      ;;
++    --download-only)
++     ARGS+=("-O");
++     ;;
+     --no-all|--ignore-all)
+      ARGS+=("-A");
+      ;;
+@@ -229,6 +232,7 @@ Options:
+   -K, --no-kernels            Don't download kernels
+   -P, --no-pinocchio          Don't download pinocchio (small) filesystems
+   -F, --no-filesystems                Don't download other (big) filesystems
++  -O, --download-only           Skip everything except downloads of kernels 
and filesystems
+   -A, --no-all                        Equivalent to 
--no-{vde,dot,kernels,pinocchio,filesystems}
+ Defaults:
+   - the installation prefix is ${PREFIX}
+@@ -369,6 +373,9 @@ if [[ -n ${option_P} || -n ${option_A} ]
+ 
+ # Option -F, --no-filesystems
+ if [[ -n ${option_F} || -n ${option_A} ]]; then IGNORE_BIG_FILESYSTEMS=yes; 
else IGNORE_BIG_FILESYSTEMS=no; fi
++#
++# Option -O, --download-only
++if [[ -n ${option_O} ]]; then DOWNLOAD_ONLY=yes; else DOWNLOAD_ONLY=no; fi
+ 
+ # Option -h
+ if [[ -n ${option_h}  ]]; then
+@@ -841,44 +848,46 @@ touch $COMMAND_RESULT
+ OUR_BASE_URL="http://www.marionnet.org/download/marionnet_from_scratch";
+ OUR_MIRROR="$OUR_BASE_URL/mirror/"
+ 
+-if are_we_in_debian_or_derived; then
+-  echo "* This looks like a Debian or derived distribution. Oh, joy!"
+-  DEBIAN_PACKAGE_LIST=$(echo_required_debian_packages)
+-  echo "DEBIAN_PACKAGE_LIST=$DEBIAN_PACKAGE_LIST" 1>&2 # debugging
+-  if [[ -n ${DEBIAN_PACKAGE_LIST%% } ]]; then
+-    echo "  Required packages: $DEBIAN_PACKAGE_LIST"
+-    echo -n "  Shall I install required package(s) with aptitude ([y]/n)? "
+-    read z
+-    if [[ $z != n && $z != N ]]; then
+-      echo -n "  Shall I use the aptitude option --allow-untrusted ([y]/n)? 
"; read z
++if [[ $DOWNLOAD_ONLY = no ]]; then
++  if are_we_in_debian_or_derived; then
++    echo "* This looks like a Debian or derived distribution. Oh, joy!"
++    DEBIAN_PACKAGE_LIST=$(echo_required_debian_packages)
++    echo "DEBIAN_PACKAGE_LIST=$DEBIAN_PACKAGE_LIST" 1>&2 # debugging
++    if [[ -n ${DEBIAN_PACKAGE_LIST%% } ]]; then
++      echo "  Required packages: $DEBIAN_PACKAGE_LIST"
++      echo -n "  Shall I install required package(s) with aptitude ([y]/n)? "
++      read z
+       if [[ $z != n && $z != N ]]; then
+-        APTITUDE_OPTIONS+="--allow-untrusted "
+-      fi
+-      MSG="Installing required packages with aptitude"
+-      ensure_sudo_or_continue_as_root "* $MSG"
+-      # First install aptitude if needed:
+-      if ! type 1>&2 aptitude; then
+-        launch_and_log --sudo "Installing aptitude" "apt-get -y install 
aptitude"
+-        APTITUDE_INSTALLED_NOW=yes
+-      fi
+-      # vde2 only if is not already installed and the available version is >= 
2.2.1
+-      if [[ $APTITUDE_INSTALLED_NOW = yes ]] && ! type 1>&2 vde_switch; then
+-        VDE2_VERSION=$(aptitude $APTITUDE_OPTIONS show vde2 | awk 
'/^Version.*[2-9][.][0-9][.][0-9].*/ {print $2}' | awk -F '-' '{print $1}')
+-        VDE2_VERSION=$(echo $VDE2_VERSION | awk -F '.' '(($2 * 100 + $3 * 10 
+ $4) >= 221) {print}')
+-        if [[ -n "$VDE2_VERSION" ]]; then
+-            DEBIAN_PACKAGE_LIST+="vde2 "
+-              echo "  Note: I will also install vde2 with aptitude"
+-        fi
+-      fi
+-      # We set the option `--do-not-register-as-done' because sometimes a 
single call to aptitude is not sufficient to install all things...
+-      launch_and_log --do-not-register-as-done --sudo "$MSG" "aptitude 
$APTITUDE_OPTIONS -q -y install $DEBIAN_PACKAGE_LIST"
+-      DISABLE_libc6_i386_WARNING=yes
+-    fi # answered yes
+-  fi # package list not empty
+-fi # are_we_in_debian_or_derived
++        echo -n "  Shall I use the aptitude option --allow-untrusted ([y]/n)? 
"; read z
++        if [[ $z != n && $z != N ]]; then
++          APTITUDE_OPTIONS+="--allow-untrusted "
++        fi
++        MSG="Installing required packages with aptitude"
++        ensure_sudo_or_continue_as_root "* $MSG"
++        # First install aptitude if needed:
++        if ! type 1>&2 aptitude; then
++          launch_and_log --sudo "Installing aptitude" "apt-get -y install 
aptitude"
++          APTITUDE_INSTALLED_NOW=yes
++        fi
++        # vde2 only if is not already installed and the available version is 
>= 2.2.1
++        if [[ $APTITUDE_INSTALLED_NOW = yes ]] && ! type 1>&2 vde_switch; then
++          VDE2_VERSION=$(aptitude $APTITUDE_OPTIONS show vde2 | awk 
'/^Version.*[2-9][.][0-9][.][0-9].*/ {print $2}' | awk -F '-' '{print $1}')
++          VDE2_VERSION=$(echo $VDE2_VERSION | awk -F '.' '(($2 * 100 + $3 * 
10 + $4) >= 221) {print}')
++          if [[ -n "$VDE2_VERSION" ]]; then
++            DEBIAN_PACKAGE_LIST+="vde2 "
++            echo "  Note: I will also install vde2 with aptitude"
++          fi
++        fi
++        # We set the option `--do-not-register-as-done' because sometimes a 
single call to aptitude is not sufficient to install all things...
++        launch_and_log --do-not-register-as-done --sudo "$MSG" "aptitude 
$APTITUDE_OPTIONS -q -y install $DEBIAN_PACKAGE_LIST"
++        DISABLE_libc6_i386_WARNING=yes
++      fi # answered yes
++    fi # package list not empty
++  fi # are_we_in_debian_or_derived
+ 
+-launch_and_log "Downloading marionnet" download_latest_marionnet 22400
+-launch_and_log "Downloading ocamlbricks" download_latest_ocamlbricks 7500
++  launch_and_log "Downloading marionnet" download_latest_marionnet 22400
++  launch_and_log "Downloading ocamlbricks" download_latest_ocamlbricks 7500
++fi
+ 
+ # =============================================================
+ #                       OCAML & LABLGTK
+@@ -944,6 +953,7 @@ echo "GODI_BASEPKG_PCRE=yes" >> $GODI_PR
+ cd ..
+ }
+ 
++if [[ $DOWNLOAD_ONLY = no ]]; then
+ case $USING_GODI in
+  no)
+   # Tuning:
+@@ -1058,6 +1068,8 @@ fi 1>&2
+ 
+ cd ..
+ 
++fi
++
+ # =============================================================
+ #                           VDE
+ # =============================================================
+@@ -1072,6 +1084,7 @@ function download_compile_and_install_vd
+   cd ..
+ }
+ 
++if [[ $DOWNLOAD_ONLY = no ]]; then
+ if [[ $IGNORE_VDE = yes ]]; then
+  echo -n "* Installing vde2: dependency ignored (--no-vde)"
+  echo_at_right_side --newline "ok"
+@@ -1084,6 +1097,7 @@ else
+    download_compile_and_install_vde2 \
+    54276 # weight
+ fi
++fi
+ 
+ # =============================================================
+ #                       DOT (GRAPHVIZ)
+@@ -1099,6 +1113,7 @@ function download_compile_and_install_gr
+   cd ..
+ }
+ 
++if [[ $DOWNLOAD_ONLY = no ]]; then
+ if [[ $IGNORE_DOT = yes ]]; then
+  echo -n "* Installing dot (graphviz): dependency ignored (--no-dot)"
+  echo_at_right_side --newline "ok"
+@@ -1111,6 +1126,7 @@ else
+    download_compile_and_install_graphviz \
+    863227 # weight
+ fi
++fi
+ 
+ # =============================================================
+ #                     KERNELS AND FILESYSTEMS
+@@ -1169,6 +1185,7 @@ function download_our_pinocchio_filesyst
+   done
+ }
+ 
++umask 022
+ ensure_sudo -p "* Required the [sudo] password for %u:"
+ $SUDO_OR_NOTHING mkdir -p $PREFIX/share/marionnet/
+ pushd $PREFIX/share/marionnet/ 1>&2
+@@ -1190,6 +1207,10 @@ else download_our_big_filesystems; fi
+ 
+ popd 1>&2
+ 
++if [[ $DOWNLOAD_ONLY = yes ]]; then
++  exit 0
++fi
++
+ # =============================================================
+ #                     marionnet.conf
+ # =============================================================
diff --git a/debian/patches/series b/debian/patches/series
index 3fb53af..12abd1c 100644
--- a/debian/patches/series
+++ b/debian/patches/series
@@ -1,2 +1,3 @@
 0001-Customize-installation-paths-for-Debian-packaging.patch
 0002-Tweak-file-installation-paths-in-marionnet.conf.patch
+0003-Hack-marionnet-from-scratch-to-download-only.patch

-- 
marionnet packaging

_______________________________________________
Pkg-ocaml-maint-commits mailing list
Pkg-ocaml-maint-commits@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-ocaml-maint-commits

Reply via email to